<?php

// Gotify-Konfiguration einbinden
$configFile = 'config/gotify_config.json';
if (!file_exists($configFile)) {
    die("Konfigurationsdatei '$configFile' nicht gefunden.");
}

$config = json_decode(file_get_contents($configFile), true);
if (!$config || !isset($config['gotify_url']) || !isset($config['app_token'])) {
    die("Fehler beim Lesen der Konfigurationsdatei.");
}

$gotifyUrl = $config['gotify_url'];
$appToken = $config['app_token'];

// Testnachricht erstellen
$message = "Dies ist eine Testnachricht von der Materialverwaltungsanwendung.";

// Gotify-Benachrichtigung senden
$result = sendGotifyNotification($gotifyUrl, $appToken, $message);

// Überprüfen, ob die Benachrichtigung erfolgreich gesendet wurde
if ($result === true) {
    echo "<script>alert('Testnachricht erfolgreich gesendet.');</script>";
} else {
    echo "<script>alert('Fehler beim Senden der Benachrichtigung: $result');</script>";
}

// Zurück zur vorherigen Seite
echo "<script>window.history.back();</script>";

// Funktion zum Senden der Gotify-Benachrichtigung
function sendGotifyNotification($gotifyUrl, $appToken, $message) {
    // Daten für die POST-Anfrage
    $data = array(
        'message' => $message,
    );

    // cURL-Initialisierung
    $ch = curl_init($gotifyUrl);

    // Optionen für die cURL-Anfrage
    $options = array(
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => json_encode($data),
        CURLOPT_HTTPHEADER => array(
            'Content-Type: application/json',
            "X-Gotify-Key: $appToken",
        ),
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false, // Deaktiviert SSL-Zertifikatsüberprüfung
    );

    // cURL-Optionen setzen
    curl_setopt_array($ch, $options);

    // Anfrage ausführen
    $result = curl_exec($ch);

    // Überprüfen, ob die Anfrage erfolgreich war
    if ($result === false) {
        // Fehler beim Senden der Benachrichtigung
        return "Fehler beim Senden der Benachrichtigung: " . curl_error($ch);
    } else {
        // Erfolgreich
        return true;
    }
}

?>
